%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Name:           cmrt
Version:        1.0.6
Release:        %mkrel 1
Summary:        C for Media Runtime
Group:          System/Libraries
License:        MIT
URL:            https://github.com/01org/cmrt
Source0:        https://github.com/01org/cmrt/archive/%{version}/%{name}-%{version}.tar.xz
Patch0:         cmrt-1.0.6_replace_obsolete_AC_PROG_LIBTOOL.patch

BuildRequires:  libtool
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libva)

%description
Media GPU kernel manager for Intel G45 & HD Graphics family. Allows to
interface between Intel GPU's driver and a host program through a high 
level language.

%package -n %{libname}
Summary: C for Media Runtime
Group: System/Libraries	
Provides:	lib%{name} = %{version}-%{release}


%description -n %{libname}
Media GPU kernel manager for Intel G45 & HD Graphics family. Allows to
interface between Intel GPU's driver and a host program through a high 
level language.

%package -n %{develname}
Summary:        Development files for the C for Media Runtime
Group: Development/Libraries
Requires:       %{libname}
Requires:       pkgconfig

%description -n %{develname}
Media GPU kernel manager for Intel G45 & HD Graphics family, 
development files.


%prep
%setup -q
%apply_patches

%build
autoreconf -fiv
%configure2_5x
%make_build


%install
rm -rf %buildroot
%make_install 
find %{buildroot} -name "*.la" -delete


%files
%doc NEWS README AUTHORS COPYING
%config(noreplace) %{_sysconfdir}/%{name}.conf

%files -n %{libname}
%{_libdir}/lib%{name}.so.*

%files -n %{develname}
%{_includedir}/cm_rt.h
%{_includedir}/cm_rt_linux.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/libcmrt.pc


%changelog
* Tue Oct 17 2017 bb2 <bb2> - 1.0.6-1pclos2017
- import into pclos
